This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 408011 - gcc-4.1.2-33 -> 4.1.2-34 update breaks compilation of ogre3d
gcc-4.1.2-33 -> 4.1.2-34 update breaks compilation of ogre3d
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-02 14:26 EST by Hans de Goede
Modified: 2007-12-03 08:17 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-03 08:17:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Header file causing the problems (14.36 KB, text/plain)
2007-12-02 14:26 EST, Hans de Goede
no flags Details
Preprocessed version of the .cpp file at which the compilation breaks (1.23 MB, text/plain)
2007-12-02 14:27 EST, Hans de Goede
no flags Details

  None (edit)
Description Hans de Goede 2007-12-02 14:26:19 EST
In todays Matt Domsch rawhide rebuild report ogre3d failed to build:
http://linux.dell.com/files/fedora/FixBuildRequires/mock-results-core/x86_64/ogre-1.4.5-3.fc9.src.rpm/result/build.log

I've managed to reproduce this on F-8 by installing gcc from rawhide, it seems
that something in the gcc-4.1.2-33 -> 4.1.2-34 update breaks the compilation of
ogre3d.

With -34 it gives a whole list of these errors:
OgrePixelConversions.h:49: error: static data member
'<unnamed>::PixelBoxConverter<<unnamed>::A8R8G8B8toA8B8G8R8>::ID' used, but not
defined

(one for each pixel conversion combo)

I've checked the .h file causing the problem and I couldn't find anything
obviously wrong.

I will attach the troublesome.h file and a pre-processed version of the .cpp
file at which the compilation breaks.

The compile command causing the breakage is:
g++ -DHAVE_CONFIG_H -I. -I. -I../../OgreMain/include -I/usr/include/freetype2
-I../../OgreMain/include -DOGRE_NONCLIENT_BUILD -DOGRE_GUI_gtk
-I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0
-I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0
-I/usr/lib64/glib-2.0/include -fvisibility=hidden -fvisibility-inlines-hidden
-DOGRE_GCC_VISIBILITY -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -fPIC -MT
OgrePixelFormat.lo -MD -MP -MF .deps/OgrePixelFormat.Tpo -c OgrePixelFormat.cpp
 -fPIC -DPIC  -o .libs/OgrePixelFormat.o

And the .E file was generated with:
 g++ -DHAVE_CONFIG_H -I. -I. -I../../OgreMain/include -I/usr/include/freetype2
-I../../OgreMain/include -DOGRE_NONCLIENT_BUILD -DOGRE_GUI_gtk
-I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0
-I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0
-I/usr/lib64/glib-2.0/include -fvisibility=hidden -fvisibility-inlines-hidden
-DOGRE_GCC_VISIBILITY -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -fPIC -MT
OgrePixelFormat.lo -MD -MP -MF .deps/OgrePixelFormat.Tpo -E OgrePixelFormat.cpp
 -fPIC -DPIC > OgrePixelFormat.E
Comment 1 Hans de Goede 2007-12-02 14:26:19 EST
Created attachment 275111 [details]
Header file causing the problems
Comment 2 Hans de Goede 2007-12-02 14:27:56 EST
Created attachment 275121 [details]
Preprocessed version of the .cpp file at which the compilation breaks
Comment 3 Jakub Jelinek 2007-12-03 04:55:09 EST
Please retry with -35.
Comment 4 Hans de Goede 2007-12-03 07:51:48 EST
-35 seems to fix this, thanks!

Note You need to log in before you can comment on or make changes to this bug.